[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStreamAdapter.Write

Write to the stream

## Declaration

Source position: classesh.inc line 1042

`public function TStreamAdapter.Write(`
`pv: Pointer;`
`cb: DWORD;`
`pcbWritten: PDWord`
`):HRESULT; virtual;`

## Description

Write implements #rtl.types.ISequentialStream.Write by writing to the stream specified at creation.

## Errors

This function must be overridden and will raise a runerror 217 when called directly.

## See also

#rtl.types.ISequentialStream.Write |  | Write data to the stream

Documentation generated on: Feb 26 2014